\begin{tabular}{|c|c|c|c|c|c|c|c|c|c|c|}
\hline 
\multirow{2}{*}{Actions} & \multirow{2}{*}{first action} & \multirow{2}{*}{second action(SA)} & \multirow{2}{*}{SA result expected} & \multirow{2}{*}{Got} & \multirow{2}{*}{} & \multirow{2}{*}{Path} & Current & Parent & Children & Data of\tabularnewline
 &  &  &  &  &  &  & path & path & path & the path\tabularnewline
\hline 
\hline 
\multirow{3}{*}{create/create} & create(/a/1) & create(/a/1/p) & NoNodeException & OK &  & /a/1/p &  & x &  & \tabularnewline
\cline{2-11} 
 & create(/a/1(eph)) & create(/a/1/p) & NoNodeException & NoNodeForEphemeralException &  & /a/1/p &  & x &  & \tabularnewline
\cline{2-11} 
 & create(/a/1) & create(/a/1) & OK & NodeAlreadyExistsException &  & /a/1 & x &  &  & \tabularnewline
\hline 
\multirow{4}{*}{delete/create} & delete(/a) & create(/a/1) & OK & NoNodeException &  & /a/1 &  & x &  & \tabularnewline
\cline{2-11} 
 & delete(/a) & create(/a) & NodeAlreadyExistsException & OK &  & /a & x &  &  & \tabularnewline
\cline{2-11} 
 & create(/a/1) & delete(/a) & OK & NotEmptyException &  & /a &  &  & x & \tabularnewline
\cline{2-11} 
 & create(/a/1) & delete(/a/1) & NoNodeException & OK &  & /a/1 & x &  &  & \tabularnewline
\hline 
setData/create & create(/a/1) & setData(/a/1) & NoNodeException & OK &  & /a/1 & x &  &  & \tabularnewline
\hline 
\multirow{2}{*}{delete/delete} & delete(/a) & delete(/a) & OK & NoNodeException &  & /a & x &  &  & \tabularnewline
\cline{2-11} 
 & delete(/b/1) & delete(/b) & NotEmptyException & OK &  & /b &  &  & x & \tabularnewline
\hline 
delete/setData & delete(/a) & setData(/a) & OK & NoNodeException &  & /a & x &  &  & \tabularnewline
\hline 
setData/setData &  &  &  &  &  &  &  &  &  & \tabularnewline
\hline 
create/getData & create(/a/1) & getData(/a/1) & NoNodeException & null &  & /a/1 & x &  &  & \tabularnewline
\hline 
delete/getData & delete(/a) & getData(/a) & something & NoNodeException &  & /a & x &  &  & \tabularnewline
\hline 
setData/getData & setData(/a) & getData(/a) & something & something else &  & /a &  &  &  & x\tabularnewline
\hline 
\multirow{2}{*}{create/getChildren} & create(/a/1) & getChildren(/a) & nothing & /1 &  & /a &  &  & x & \tabularnewline
\cline{2-11} 
 & create(/a/1) & getChildren(/a/1) & NoNodeException & nothing &  & /a/1 & x &  &  & \tabularnewline
\hline 
\multirow{2}{*}{delete/getChildren} & delete(/b/1) & getChildren(/b) & /1 & nothing &  & /b &  &  & x & \tabularnewline
\cline{2-11} 
 & delete(/a) & getChildren(/a) & nothing & NoNodeException &  & /a & x &  &  & \tabularnewline
\hline 
setData/getChildren &  &  &  &  &  &  &  &  &  & \tabularnewline
\hline 
create/exists & create(/a/1) & exists(/a/1) & false & true &  & /a/1 & x &  &  & \tabularnewline
\hline 
delete/exists & delete(/b/1) & exists(/b/1) & true & false &  & /b/1 & x &  &  & \tabularnewline
\hline 
setData/exists &  &  &  &  &  &  &  &  &  & \tabularnewline
\hline 
\end{tabular}
